# FoundationClasses
TKMath
TColgp

# TColgp_SequenceOfXYZ Class Reference

`#include <TColgp_SequenceOfXYZ.hxx>`

Inheritance diagram for TColgp_SequenceOfXYZ:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| TColgp_SequenceOfXYZ ()
Standard_EXPORT void | Clear ()
| ~TColgp_SequenceOfXYZ ()
Standard_EXPORT const TColgp_SequenceOfXYZ & | Assign (const TColgp_SequenceOfXYZ &Other)
const TColgp_SequenceOfXYZ & | operator= (const TColgp_SequenceOfXYZ &Other)
Standard_EXPORT void | Append (const gp_XYZ &T)
void | Append (TColgp_SequenceOfXYZ &S)
Standard_EXPORT void | Prepend (const gp_XYZ &T)
void | Prepend (TColgp_SequenceOfXYZ &S)
void | InsertBefore (const Standard_Integer Index, const gp_XYZ &T)
void | InsertBefore (const Standard_Integer Index, TColgp_SequenceOfXYZ &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const gp_XYZ &T)
void | InsertAfter (const Standard_Integer Index, TColgp_SequenceOfXYZ &S)
Standard_EXPORT const gp_XYZ & | First () const
Standard_EXPORT const gp_XYZ & | Last () const
void | Split (const Standard_Integer Index, TColgp_SequenceOfXYZ &Sub)
Standard_EXPORT const gp_XYZ & | Value (const Standard_Integer Index) const
const gp_XYZ & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const gp_XYZ &I)
Standard_EXPORT gp_XYZ & | ChangeValue (const Standard_Integer Index)
gp_XYZ & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | TColgp_SequenceOfXYZ (const TColgp_SequenceOfXYZ &Other)

## Constructor & Destructor Documentation

TColgp_SequenceOfXYZ::TColgp_SequenceOfXYZ | ( |  | ) |

TColgp_SequenceOfXYZ::~TColgp_SequenceOfXYZ | ( |  | ) | `[inline]`

Standard_EXPORT TColgp_SequenceOfXYZ::TColgp_SequenceOfXYZ | ( | const TColgp_SequenceOfXYZ & | Other | ) | `[private]`

## Member Function Documentation

void TColgp_SequenceOfXYZ::Append | ( | TColgp_SequenceOfXYZ & | S | ) |

Standard_EXPORT void TColgp_SequenceOfXYZ::Append | ( | const gp_XYZ & | T | ) |

Standard_EXPORT const TColgp_SequenceOfXYZ& TColgp_SequenceOfXYZ::Assign | ( | const TColgp_SequenceOfXYZ & | Other | ) |

Standard_EXPORT gp_XYZ& TColgp_SequenceOfXYZ::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColgp_SequenceOfXYZ::Clear | ( |  | ) |

Standard_EXPORT const gp_XYZ& TColgp_SequenceOfXYZ::First | ( |  | ) | const

void TColgp_SequenceOfXYZ::InsertAfter | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfXYZ & | S
| ) |

Standard_EXPORT void TColgp_SequenceOfXYZ::InsertAfter | ( | const Standard_Integer | Index,
|  | const gp_XYZ & | T
| ) |

void TColgp_SequenceOfXYZ::InsertBefore | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfXYZ & | S
| ) |

void TColgp_SequenceOfXYZ::InsertBefore | ( | const Standard_Integer | Index,
|  | const gp_XYZ & | T
| ) |

Standard_EXPORT const gp_XYZ& TColgp_SequenceOfXYZ::Last | ( |  | ) | const

void TColgp_SequenceOfXYZ::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* TColgp_SequenceOfXYZ::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* TColgp_SequenceOfXYZ::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

gp_XYZ& TColgp_SequenceOfXYZ::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const gp_XYZ& TColgp_SequenceOfXYZ::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TColgp_SequenceOfXYZ& TColgp_SequenceOfXYZ::operator= | ( | const TColgp_SequenceOfXYZ & | Other | ) | `[inline]`

void TColgp_SequenceOfXYZ::Prepend | ( | TColgp_SequenceOfXYZ & | S | ) |

Standard_EXPORT void TColgp_SequenceOfXYZ::Prepend | ( | const gp_XYZ & | T | ) |

Standard_EXPORT void TColgp_SequenceOfXYZ::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void TColgp_SequenceOfXYZ::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColgp_SequenceOfXYZ::SetValue | ( | const Standard_Integer | Index,
|  | const gp_XYZ & | I
| ) |

void TColgp_SequenceOfXYZ::Split | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfXYZ & | Sub
| ) |

Standard_EXPORT const gp_XYZ& TColgp_SequenceOfXYZ::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- TColgp_SequenceOfXYZ.hxx